Skip site navigation (1) Skip section navigation (2)

Re: Issue with libpq < 8.4

From: Guillaume Lelarge <guillaume(at)lelarge(dot)info>
To: Magnus Hagander <magnus(at)hagander(dot)net>
Cc: Dave Page <dpage(at)pgadmin(dot)org>, pgadmin-hackers <pgadmin-hackers(at)postgresql(dot)org>
Subject: Re: Issue with libpq < 8.4
Date: 2010-08-24 12:23:43
Message-ID: 4C73B9CF.9010006@lelarge.info (view raw or flat)
Thread:
Lists: pgadmin-hackers
Le 24/08/2010 14:05, Magnus Hagander a écrit :
> On Tue, Aug 24, 2010 at 2:01 PM, Guillaume Lelarge
> <guillaume(at)lelarge(dot)info> wrote:
>> Le 24/08/2010 13:51, Dave Page a écrit :
>>> On Tue, Aug 24, 2010 at 12:48 PM, Magnus Hagander <magnus(at)hagander(dot)net>
>>> wrote:
>>>> Actually, what happens if we try to use PQconnect() with
>>>> applicaiton_name on an older version? I assume it fails, and not just
>>>> works and ignores it?
>>>
>>> iirc, yes.
>>>
>>
>> We have this in the log:
>>
>> FATAL:  unrecognized configuration parameter "application_name"
>>
>> And then it connects.
>>
>> At least with a 9.0 libpq and a 8.3.0 PostgreSQL server.
> 
> Yeah, the interesting thing would be an 8.3 libpq, if you just throw
> it the connection string and don't try to use PQparseconnInfo().
> 

It fails. If the user has a 8.3 libpq, we should not send the
application_name connection parameter.


-- 
Guillaume
 http://www.postgresql.fr
 http://dalibo.com

In response to

Responses

pgadmin-hackers by date

Next:From: Magnus HaganderDate: 2010-08-24 13:25:43
Subject: Re: Issue with libpq < 8.4
Previous:From: Dave PageDate: 2010-08-24 12:11:28
Subject: pgAdmin III commit: Cleanup some inconsistencies in the VC++ projectfi

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group